<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <groupId>org.openjdk.jmc</groupId>
  <artifactId>org.openjdk.jmc.feature.rcp.ja</artifactId>
  <version>9.1.0-SNAPSHOT</version>
  <packaging>pom</packaging>
  <licenses>
    <license>
      <name>Universal Permissive License Version 1.0</name>
      <url>https://oss.oracle.com/licenses/upl</url>
      <distribution>repo</distribution>
      <comments>Copyright (c) 2018, 2025, Oracle and/or its affiliates. Licensed under the Universal Permissive License v 1.0 as shown at https://oss.oracle.com/licenses/upl.</comments>
    </license>
  </licenses>
  <properties>
    <jmc.config.path>${project.basedir}/../../../configuration</jmc.config.path>
  </properties>
  <dependencies>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>common</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>flightrecorder</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>flightrecorder.configuration</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>flightrecorder.rules</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>flightrecorder.rules.jdk</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>flightrecorder.serializers</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>rjmx.common</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>jdp</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.ui.mbeanbrowser.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.docs.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.flightrecorder.controlpanel.ui.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.ui.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.ui.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.feature.license</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.ui.diagnostic.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.alert.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.rjmx.ui.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.browser.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.feature.core</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.greychart.ui.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.rcp.application.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.flightrecorder.ui.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.rjmx.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.browser.jdp.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.ui.notification.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.browser.attach.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.rcp.intro.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.persistence.ja</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
      <optional>false</optional>
    </dependency>
    <dependency>
      <groupId>org.bouncycastle</groupId>
      <artifactId>bcpg-jdk18on</artifactId>
      <version>1.79</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.bouncycastle</groupId>
      <artifactId>bcprov-jdk18on</artifactId>
      <version>1.79</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.bouncycastle</groupId>
      <artifactId>bcutil-jdk18on</artifactId>
      <version>1.79</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>com.ibm.icu</groupId>
      <artifactId>icu4j</artifactId>
      <version>76.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.glassfish</groupId>
      <artifactId>jakarta.el</artifactId>
      <version>3.0.4</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>net.java.dev.jna</groupId>
      <artifactId>jna-platform</artifactId>
      <version>5.15.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>jakarta.annotation</groupId>
      <artifactId>jakarta.annotation-api</artifactId>
      <version>2.1.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.xmlgraphics</groupId>
      <artifactId>batik-constants</artifactId>
      <version>1.18</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.xmlgraphics</groupId>
      <artifactId>batik-css</artifactId>
      <version>1.18</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.xmlgraphics</groupId>
      <artifactId>batik-i18n</artifactId>
      <version>1.18</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.xmlgraphics</groupId>
      <artifactId>batik-util</artifactId>
      <version>1.18</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>commons-beanutils</groupId>
      <artifactId>commons-beanutils</artifactId>
      <version>1.9.4</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <version>1.2</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>commons-io</groupId>
      <artifactId>commons-io</artifactId>
      <version>2.17.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>commons-jxpath</groupId>
      <artifactId>commons-jxpath</artifactId>
      <version>1.3</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.eclipse.jetty.toolchain</groupId>
      <artifactId>jetty-servlet-api</artifactId>
      <version>4.0.6</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.mortbay.jasper</groupId>
      <artifactId>apache-jsp</artifactId>
      <version>9.0.96</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.felix</groupId>
      <artifactId>org.apache.felix.scr</artifactId>
      <version>2.2.12</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.osgi</groupId>
      <artifactId>org.osgi.service.component</artifactId>
      <version>1.5.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.osgi</groupId>
      <artifactId>org.osgi.util.promise</artifactId>
      <version>1.3.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.lucene</groupId>
      <artifactId>lucene-analysis-common</artifactId>
      <version>9.12.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.lucene</groupId>
      <artifactId>lucene-analysis-smartcn</artifactId>
      <version>9.12.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.lucene</groupId>
      <artifactId>lucene-core</artifactId>
      <version>9.12.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.xmlgraphics</groupId>
      <artifactId>xmlgraphics-commons</artifactId>
      <version>2.10</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.osgi</groupId>
      <artifactId>org.osgi.service.event</artifactId>
      <version>1.4.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.osgi</groupId>
      <artifactId>org.osgi.service.prefs</artifactId>
      <version>1.1.2</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.tukaani</groupId>
      <artifactId>xz</artifactId>
      <version>1.10</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.sat4j</groupId>
      <artifactId>org.ow2.sat4j.core</artifactId>
      <version>2.3.6</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.sat4j</groupId>
      <artifactId>org.ow2.sat4j.pb</artifactId>
      <version>2.3.6</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.osgi</groupId>
      <artifactId>org.osgi.service.cm</artifactId>
      <version>1.6.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.jdom</groupId>
      <artifactId>jdom</artifactId>
      <version>1.1.3</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.mortbay.jasper</groupId>
      <artifactId>apache-el</artifactId>
      <version>9.0.96</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm</artifactId>
      <version>9.7.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm-tree</artifactId>
      <version>9.7.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm-commons</artifactId>
      <version>9.7.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm-analysis</artifactId>
      <version>9.7.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.ow2.asm</groupId>
      <artifactId>asm-util</artifactId>
      <version>9.7.1</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.alert</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.ui</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.rjmx.ui</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.attach</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.browser</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.rjmx</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.browser.attach</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.browser.jdp</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.commands</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.ui.common</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.persistence</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.ui</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.ui.diagnostic</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.ui.mbeanbrowser</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.console.ui.notification</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.flightrecorder.controlpanel.ui</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.flightrecorder.controlpanel.ui.configuration</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.docs</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.greychart</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.ui.celleditors</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.rjmx.ext</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.jolokia</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.flightrecorder.ui</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.greychart.ui</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.rcp.application</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.openjdk.jmc</groupId>
      <artifactId>org.openjdk.jmc.rcp.intro</artifactId>
      <version>9.1.0-SNAPSHOT</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.osgi</groupId>
      <artifactId>org.osgi.util.function</artifactId>
      <version>1.2.0</version>
      <scope>compile</scope>
    </dependency>
    <dependency>
      <groupId>org.slf4j</groupId>
      <artifactId>slf4j-nop</artifactId>
      <version>2.0.16</version>
      <scope>compile</scope>
    </dependency>
  </dependencies>
</project>
